jQuery(document).ready(function ($) {
    // When the notice is dismissed
    $(document).on('click', '.hair-dresser-and-salon-notice .notice-dismiss', function () {
        $.post(ajaxurl, {
            action: 'hair_dresser_and_salon_dismiss_notice'
        });
    });
});